Subject: Re: bug#23092: 25.0.92; Minibuffer completion fails to resize completion window if reused during same command

From: martin rudalics <[email-masked]>
Date: Tue, 22 Mar 2016 18:21:33 +0100

> When TAB is pressed during entry of a command in the minibuffer, a
 > window appears displaying a list of completions. To some extent this
 > window seems to be sized to fit the number of completions. If the
 > user enters more of the command and presses TAB again the contents
 > of the completions window are refreshed but the window is not resized.
 >
 > This is impossible to use if there are very few completions when TAB
 > is pressed the first time, resulting in a very tiny window, and
 > there are very many completions when TAB is pressed the second time.
 > This can happen, for example, when finding a file.
 >
 > For example, from the Emacs build directory:
 >
 >      src/emacs -Q
 >
 >      C-x C-f            ; find-file
 >      lib/v TAB          ; A tiny window pops up with "verify.h" and "vla.h."
 >      <backspace> s TAB
 >
 > At this point there is still a tiny completions window with about 50
 > completions most of which are not visible in the window.
 >
 > On the other hand,
 >
 >      C-x C-f lib/s TAB
 >
 > displays the same completions in a much larger completion window
 > (looks like it's half the frame height), so most of the available
 > completions can be seen.

Please try again with ‘temp-buffer-resize-mode’ enabled.  I always
wanted to enable it by default but a number of people didn't like it so
I dropped the idea.

martin